#include "aboutdialog.h"
#include "version.h"

#include "icons/vym-48x48.xpm"

AboutDialog::AboutDialog( QWidget *parent, const char *name )
    : QDialog ( parent, name)

{
	mainLayout=new QVBoxLayout( this);

	tabs=new QTabWidget (this);

	credits=new QTextBrowser (this,"credits");

	
	credits->setText (
		"<h3>VYM - View Your Mind </h3>"
		"<p> A tool to put the things you have got in your mind into a map.</p>"
			"<ul>"
				"<li> (c) by Uwe Drechsel (vym@InSilmaril.de)</li>"
				"<li> vym is released under the GPL (Gnu General Public License)"
				", with one exception (see the file \"LICENSE\"which "
				"comes with vym). This exception is needed to build vym with QT libraries for proprietary operating systems.</li>"
				"<li> Project homepage <a href=\"http:/www.InSilmaril.de/vym\">"
    					"http:/www.InSilmaril.de/vym</a></li>"
			"<li> Credits " 
				"<ul>"
					"<li>Jakob Hilmer for image drag and drop patch </li>"
					"<li>Thomas Schraitle for the stylesheet  used for XHTML-export </li>"
					"<li>Clemens Kraus for stylesheets and script used for HTML-export "
					"<a href=\"http://www.clemens-kraus.de\">(www.clemens-kraus.de)</a></li>"
					"<li>Alexander Johannesen for providing stylesheets from his xsiteable project " 
					"<a href=\"http://www.shelter.nu/xsiteable/xsiteable.html\">(www.shelter.nu/xsiteable/xsiteable.html)</a>. </li>"
					"<li>Ken Wimer and Olaf Hering for Mac support</li>"
				"</ul>"
			"</li>");
	credits->setFrameStyle( QFrame::Panel | QFrame::Plain );
    tabs->addTab (credits,"Credits");

	license=new QTextBrowser (this,"license");
	license->setText ("License text...");
	credits->setFrameStyle( QFrame::Panel | QFrame::Plain );
	tabs->addTab (license,"License");

	mainLayout->addWidget (tabs);
	tabs->showPage (credits);

	okbutton =new QPushButton (this,"okbutton");
	okbutton->setText ("ok");
	okbutton->setMaximumSize (QSize (50,30));
	okbutton->setAutoDefault (true);
    mainLayout->addWidget( okbutton); 

	connect (credits,SIGNAL (linkClicked(const QString&)),this ,SLOT
	(openLnk(const QString&)));

	connect( okbutton, SIGNAL( clicked() ), this, SLOT( accept() ) );
}

AboutDialog::~AboutDialog()
{
}


void AboutDialog::openLnk(const QString &url)
{
	okbutton->setText (url);
}
